Bug 59801 - localhost. vs localhost.localdomain
Summary: localhost. vs localhost.localdomain
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 7.3
Hardware: i386 Linux
low
low
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-02-13 15:17 UTC by Emmanuel Galanos
Modified: 2005-10-31 22:00 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-10 20:20:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Emmanuel Galanos 2002-02-13 15:17:07 UTC
Description of Problem:
Red Hat Linux uses localhost.localdomain for 127.0.0.1

Additional Information:
RFC1537 recommends against this (plus it has quite valid reasons).

Changing the /etc/hosts entry to be:

127.0.0.1 localhost. localhost.localdomain

Will avoid any compatability problems or problems with software starting up.

"localhost.localdomain -- just say no".

Comment 1 Michael Fulbright 2002-02-13 19:25:45 UTC
This seems like something thats been brought up before, surely a duplicate.

Comment 2 Jay Turner 2002-03-19 22:01:46 UTC
I think we have this discussion every time that we release.  What's the
resolution now?

Comment 3 Jeremy Katz 2002-04-10 20:23:54 UTC
The resolution on os-devel-list was that changing it definitely breaks things still.


Note You need to log in before you can comment on or make changes to this bug.